/*
 * abissd/common.h - abissd, common declarations
 *
 * Written 2004, 2005 by Werner Almesberger
 *
 * (C) Copyright Koninklijke Philips Electronics NV 2004, 2005.
 * All rights reserved.
 * For licensing and warranty information, see the file ../../COPYING.LGPLv21
 */

#ifndef COMMON_H
#define COMMON_H

#include <stdio.h>


extern int fixed_reply;
extern int *reply;
extern int replies[];


void show_sched(FILE *file);
const struct sched_ops *find_sched(const char *name);
void load_schedulers(const char *sched_path);

size_t abissd_open(void *buffer);
size_t abissd_close(void *buffer);
size_t abissd_notify(void *buffer);

#endif /* COMMON_H */
